package com.purui.prims.headless.chat.query.rule.detail;

import com.purui.prims.headless.chat.query.rule.QueryMatchOption;
import org.springframework.stereotype.Component;

import static com.purui.prims.headless.api.pojo.SchemaElementType.ID;

@Component
public class DetailIdQuery extends DetailListQuery {

    public static final String QUERY_MODE = "DETAIL_ID";

    public DetailIdQuery() {
        super();
        queryMatcher.addOption(ID, QueryMatchOption.OptionType.REQUIRED, QueryMatchOption.RequireNumberType.AT_LEAST, 1);
    }

    @Override
    public String getQueryMode() {
        return QUERY_MODE;
    }

}
